# $Revision: 1.11 $, $Date: 2006/06/08 21:59:59 $
Summary:	Toshiba laptop function key utility
Summary(pl):	Narzdzie do obsugi klawisza funkcyjnego w laptopach firmy Toshiba
Name:		fnfx
Version:	0.3
Release:	4
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/fnfx/%{name}-%{version}.tar.gz
# Source0-md5:	2487730494a8ff86d83d9cf7e6a67325
Source1:	%{name}.init
Patch0:		%{name}-shad.patch
URL:		http://fnfx.sourceforge.net/
Requires(post,preun):   /sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FnFX enables owners of Toshiba laptops to change the LCD brightness,
control the internal fan and use the special keys on their keyboard
(Fn-x combinations, hot-keys). The internal functions will give the
possibility to map the Fn-Keys to functions like volume up/down, mute,
suspend to disk, suspend to ram and switch LCD/CRT/TV-out. These
functions heavily depend on the system and/or kernel configuration.
You will need at least a kernel (v2.4.x, v2.6.x) with ACPI and Toshiba
support (CONFIG_ACPI and CONFIG_ACPI_TOSHIBA).

%description -l pl
FnFx pozwala posiadaczom laptopw firmy Toshiba na zmian jasnoci
wywietlacza LCD, sterowanie wewntrznym wiatraczkiem i korzystanie z
klawiszy specjalnych na klawiaturze (kombinacji Fn-x, skrtw
klawiszowych). Wewntrzne funkcje daj moliwo mapowania kombinacji
Fn-klawisz na funkcje takie jak zmiana gonoci, wyciszenie,
suspend-to-disk, suspend-to-ram oraz przeczanie LCD/CRT/TV-out. Te
funkcje w duym stopniu s zalene od konfiguracji systemu i/lub
jdra. Potrzebne jest co najmniej jdro (2.4.x, 2.6.x) z obsug ACPI
i Toshiby (CONFIG_ACPI i CONFIG_ACPI_TOSHIBA).

%prep
%setup -q
%patch0 -p0

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/rc.d/init.d,%{_sysconfdir}/fnfx,%{_bindir}}

install src/fnfxd $RPM_BUILD_ROOT%{_sbindir}
install src/fnfx $RPM_BUILD_ROOT%{_bindir}
install etc/{fnfxd.conf,keymap} $RPM_BUILD_ROOT/etc/fnfx
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/fnfx

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} restart >&2
else
        echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/%{name} ]; then
                /etc/rc.d/init.d/%{name} stop >&2
        fi
        /sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_sbindir}/fnfxd
%attr(755,root,root) %{_bindir}/fnfx
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}
%attr(754,root,root)  /etc/rc.d/init.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fnfx.spec,v $
Revision 1.11  2006/06/08 21:59:59  shadzik
- added my own patchset to add "toggle lcd" command to the daemon
- rel 4
- STBR

Revision 1.10  2006/05/18 18:22:29  shadzik
- rel++

Revision 1.9  2006/05/18 17:59:24  shadzik
- rel 2 to rebuild with fixed init script; STBR

Revision 1.8  2006/04/21 12:42:55  spider
- changes by Bartosz Swiatek

Revision 1.7  2005/10/01 14:59:36  darekr
- unify sf URL, added docs

Revision 1.6  2004/12/26 19:53:05  darekr
- updated to 0.3

Revision 1.5  2004/10/12 21:21:07  qboosh
- pl, some cleanups, dropped 2.5.x info from desc

Revision 1.4  2004/10/10 11:44:53  pbern
- *** empty log message ***

Revision 1.3  2004/10/10 11:39:34  pbern
- fix

Revision 1.2  2004/10/10 11:17:32  pbern
- add md5

Revision 1.1  2004/10/10 11:14:57  pbern
- init
- based on mdk spec
